default_versions:
- name: node
  version: 10.x
dependencies:
- name: node
  sha256: 779a1b06cf1ce39784eaa35c0b9e59cc79ac23826ba49d5198b67c196fe31e51
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/node/node-10.20.1-linux-x64-sle15-779a1b06.tgz
  version: 10.20.1
- name: node
  sha256: 1abd75b0c584ed8d298a4b428eb94f3f12c7d2fb7fdb35f2b005a9dd476e3062
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/node/node-10.21.0-linux-x64-sle15-1abd75b0.tgz
  version: 10.21.0
- name: node
  sha256: 54aa728e1a84416805c07bd75e80fec7e395f4c69cf5d86ec16add0d491966db
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/node/node-12.17.0-linux-x64-sle15-54aa728e.tgz
  version: 12.17.0
- name: node
  sha256: 345404be7ce8e7206160fd6a365df60b556c9e9e7ffad7b46ee251ad5d14e5f4
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/node/node-12.18.0-linux-x64-sle15-345404be.tgz
  version: 12.18.0
- name: node
  sha256: c04979e9aaa3cbbc7ab9a44ae3849ca8ff615edf0820e11fbc39b7098f4d658a
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/node/node-14.3.0-linux-x64-sle15-c04979e9.tgz
  version: 14.3.0
- name: node
  sha256: 8700c67f13c8763d520ce1971f3540ed463ba40171732d4dbb3d62276e23a52d
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/node/node-14.4.0-linux-x64-sle15-8700c67f.tgz
  version: 14.4.0
- name: yarn
  sha256: fc17f588ade746136b91a44f4f74596c9f76d8d8edae4ea8ead8946cd081daae
  uri: https://s3.amazonaws.com/suse-buildpacks-staging/dependencies/yarn/yarn-1.22.4-fc17f588.tar.gz
  version: 1.22.4
dependency_deprecation_dates:
- date: "2021-04-01"
  link: https://github.com/nodejs/Release
  name: node
  version_line: 10.x.x
- date: "2022-04-01"
  link: https://github.com/nodejs/Release
  name: node
  version_line: 12.x.x
- date: "2023-04-30"
  link: https://github.com/nodejs/Release
  name: node
  version_line: 14.x.x
include_files:
- CHANGELOG
- CONTRIBUTING.md
- ISSUE_TEMPLATE
- LICENSE
- NOTICE
- PULL_REQUEST_TEMPLATE
- README.md
- VERSION
- bin/compile
- bin/detect
- bin/finalize
- bin/release
- bin/supply
- manifest.yml
- profile/appdynamics-setup.rb
- profile/newrelic-setup.sh
- profile/nodejs.sh
language: nodejs
pre_package: scripts/build.sh
stack: sle15
